#include<iostream>
using namespace std;
int main(){
long long n1, n2, k, vhod, izhod, barrel, barel;
char c1,c2;
cin>>n1>>c1;
cin>>n2>>c2;
cin>>k;

if(c1='A'){
    barrel=k-n1;
}
if(c1='A'){
    barrel=k-n1;
}

if(c1='B'){
    vhod=k-n2;
    izhod=k-vhod;
}

if(c2='A'){
    vhod=k-n2;
    izhod=k-vhod;
}
if(c2='B'){
    izhod=k-n1;

}

cout<<"\n";
if(c1='A'){
    c1='A';
    c2='B';
}
if(c1='B'){
    c1='B';
    c2='A';
}
cout<<n1<<" "<<c1<<"\n"<<n2<<" "<<c2<<"\n"<<k<<"\n"<<izhod;
return 0;
}